GNU bug report logs - #40116
GDM: Memory leak in .gnome-shell-real process

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: sirgazil <sirgazil@HIDDEN>; merged with #41215; dated Wed, 18 Mar 2020 14:19:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 40116 41215. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From janneke@HIDDEN Sun Mar 29 12:10:45 2020
Received: from eggs.gnu.org ([209.51.188.92]:57138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1jIaWK-000657-N7
 for 40116 <at> debbugs.gnu.org; Sun, 29 Mar 2020 12:10:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53093)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1jIaWC-0005Pt-1u; Sun, 29 Mar 2020 12:10:37 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=49080
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1jIaWB-00060N-JR; Sun, 29 Mar 2020 12:10:35 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 40116 <at> debbugs.gnu.org,  sirgazil <sirgazil@HIDDEN>
Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process
Organization: AvatarAcademy.nl
References: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
 <87a74d8zsq.fsf@HIDDEN> <87ftdrta8e.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sun, 29 Mar 2020 18:10:34 +0200
In-Reply-To: <87ftdrta8e.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Sun, 29
 Mar 2020 18:08:17 +0200")
Message-ID: <87blofta4l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 16:10:45 -0000

Jan Nieuwenhuizen writes:

> That looks like an upstream problem
>
>     https://gitlab.gnome.org/GNOME/gnome-shell/issues/64

Sorry, this is not helping.

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From janneke@HIDDEN Sun Mar 29 12:08:29 2020
Received: from eggs.gnu.org ([209.51.188.92]:57003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1jIaU8-00061e-NQ
 for 40116 <at> debbugs.gnu.org; Sun, 29 Mar 2020 12:08:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53078)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1jIaU2-0002Qg-7L; Sun, 29 Mar 2020 12:08:22 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=47938
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1jIaU1-0005pE-3s; Sun, 29 Mar 2020 12:08:21 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 40116 <at> debbugs.gnu.org,  sirgazil <sirgazil@HIDDEN>
Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process
References: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
 <87a74d8zsq.fsf@HIDDEN>
Date: Sun, 29 Mar 2020 18:08:17 +0200
In-Reply-To: <87a74d8zsq.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 18 Mar 2020 16:09:57 +0100")
Message-ID: <87ftdrta8e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 16:08:29 -0000

Ludovic Court=C3=A8s writes:

> Hi sirgazil,
>
> sirgazil via Bug reports for GNU Guix <bug-guix@HIDDEN> skribis:
>
>> I can't use GNOME anymore because of the problem I explained in the foll=
owing thread:
>>
>> https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html
>>
>> On recent system upgrades, the problem got worse. Before, I could get to=
 the end of the day despite the leak; but now it takes around 3 hours for t=
he .gnome-shell-real process run by the gdm user to eat the remaining RAM.
>
> Ouch.
>
>> It seems that the bug is stronger in the GNOME desktop, but I've seen, a=
t least once, .gnome-shell-real using an abnormal amount of RAM while in sw=
ay (about 800 MiB).
>
> Could you check if it happens in a VM?  That is, you build your GNOME
> config with =E2=80=98guix system vm=E2=80=99, try to do some activity in =
the VM, and
> check in top whether =E2=80=98gnome-shell=E2=80=99 is growing.

That looks like an upstream problem

    https://gitlab.gnome.org/GNOME/gnome-shell/issues/64

are we going to investigate backporting a fix?

janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 24 Mar 2020 13:15:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 09:15:43 2020
Received: from localhost ([127.0.0.1]:54048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGjPD-0003Ex-6e
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 09:15:43 -0400
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25195)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1jGjPC-0003En-2M
 for 40116 <at> debbugs.gnu.org; Tue, 24 Mar 2020 09:15:42 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1585055738; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=SSGc9cmlvI5tZ0afGHYrCFUAodN+8KkGrTZYWSJgluYdm34zmA8ay+4d+uEaekarAvQWKN9OGtVmOShxZ/R/xeDXUaCyIPOu7TCATcFnpQiVZDDEysZEZJmc7uK/3vYDx6zHs5z7qlT1Tr7AC/2PIPDTK+h0+0MwZ0ASIk04kSE=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1585055738;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=vC7F0m53QD64MQH2b3UHPtefDoU8w/K2gdrpA0TV3uc=; 
 b=ETCva9xWn616ezGNJXjmiQrOv0l38BYbOMlaHnoyWzE6Lo9WhhiyBO7WuLE6YLuvvasUz7IKu87tUx3lRCZzMPBc0IjkBCPuWEW7XNglGxKmgK5tZ+9NgkDcpxUi3O0UFY7sBQhCoUOqpI+enKUNznXvzQT7rCQ7x9kMvhLnZaI=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=date:from:to:message-id:in-reply-to:subject:mime-version:content-type:user-agent;
 b=cPcrQjtWTHbK7ayYgEoKlrQ5q19yOg1bK1Nq5DpKwTMhlIDsJPzYHarZ/bbRadkYNnYsKBOHYq00
 44eesESNOzJ668YCXoMs5nPjoBOeV9Lq8WWUBCso5y+HYDE7zzvA  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1585055738; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=Date:From:To:Message-ID:In-Reply-To:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=vC7F0m53QD64MQH2b3UHPtefDoU8w/K2gdrpA0TV3uc=;
 b=lJQZU0r/T45I0hzi9hBNrWv60N8A9ft2ZEcT6sDuOXFaQv/1K5bRrwIrx3cOY19f
 k+R6Bp+2Q6DP222AmbIYsP5mFbsP4CvWkM1Wu9bKpDSoSnr1f0zclgVn77uwf8aOWyV
 OzJxivlXQw0lrlWpV6ZipzHldqKlPo15px4JnU7g=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1585055733156707.5082523451005;
 Tue, 24 Mar 2020 06:15:33 -0700 (PDT)
Received: from  [179.15.13.185] by mail.zoho.com
 with HTTP;Tue, 24 Mar 2020 06:15:33 -0700 (PDT)
Date: Tue, 24 Mar 2020 08:15:33 -0500
From: sirgazil <sirgazil@HIDDEN>
To: "40116" <40116 <at> debbugs.gnu.org>
Message-ID: <1710caf15a3.c9b79ba71277.7628294219802776739@HIDDEN>
In-Reply-To: 
Subject: GDM: Memory leak in .gnome-shell-real process
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
Importance: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I'm currently trying other other desktop environments in
 combination with slim login manager to work around the issue. I've been using
 a configuration with SLiM and GNOME for more than 20 hours with no leaks.
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: zoho.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sirgazil[at]zoho.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [136.143.188.91 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

 > I'm currently trying other other desktop environments in combination with slim login manager to work around the issue.

I've been using a configuration with SLiM and GNOME for more than 20 hours with no leaks.







Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 23 Mar 2020 17:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 23 13:01:27 2020
Received: from localhost ([127.0.0.1]:53451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGQS7-0000rW-C2
	for submit <at> debbugs.gnu.org; Mon, 23 Mar 2020 13:01:27 -0400
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1jGQS4-0000rL-V6
 for 40116 <at> debbugs.gnu.org; Mon, 23 Mar 2020 13:01:25 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1584982879; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=A8EwJtVwMw4eVzscKfvikoKWiSZW2ekkh0xDMsF6hYUa3wTytUEp6ntKlX5ss/jSMVGZ/1Wdsl//8WhoNAmjVzLNKpUg9CESSskjs87FjnPoRvuZUmL9zflo45Sta7MEboLIyshAwK/8g07r2H7SC6PiHyCYeT9zUJUG3pgb8qs=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1584982879;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=5hiz8spBFRDmBjD7+GL9u/6uvLgV/14Zg7LE2rGEjxo=; 
 b=em/8gL5kgwc0CdihcK4QtEIymPB44QFttPU4KCyVE1fzpjALK5cnQEaX/WIhQ3d8/QNhtcHi8/8GxY9mrwYHuXFnwjnYNRDxcY9q9DP4cW9+MMkyyJOo3Mb3j4c06K8Bch8cwo85GmmQAvutaVvrBCsWS3ScVSwLDsEuEt0BQHU=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=date:from:to:message-id:in-reply-to:subject:mime-version:content-type:user-agent;
 b=IJqN3N1UwAWHy6L0Rk9v/tZCIkWroTWRmQ3EU1JUClrfBf7WEVN9XWCd4P/04nbq2xxbsf/kdfB7
 KS6zlbBbUQZNPxfA0OH9XNxG/t+rNMkyOrcA41FzjG2UUpjtDOWl  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1584982879; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=Date:From:To:Message-ID:In-Reply-To:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=5hiz8spBFRDmBjD7+GL9u/6uvLgV/14Zg7LE2rGEjxo=;
 b=dXqyFgkMOeWD7L0pfU207nk3bxjyk8uUXNXzzj/KKvGynZt3ANC6I6hX3xEDkUtS
 rM6w47emIQtEX/euVtgihLgTltNvhxnxYegaBq9ukvTKQzkhrEvJWJkng0bDHZwtg+7
 PVg5GGesUZxmWVFAVZ71q1eHggKW5A+jdO+1J30k=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1584982871993728.3109535414718;
 Mon, 23 Mar 2020 10:01:11 -0700 (PDT)
Received: from  [179.15.13.185] by mail.zoho.com
 with HTTP;Mon, 23 Mar 2020 10:01:11 -0700 (PDT)
Date: Mon, 23 Mar 2020 12:01:11 -0500
From: sirgazil <sirgazil@HIDDEN>
To: "40116" <40116 <at> debbugs.gnu.org>
Message-ID: <17108574fb7.db28f889144585.6378115481300336402@HIDDEN>
In-Reply-To: 
Subject: GDM: Memory leak in .gnome-shell-real process
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
Importance: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I experience the same as Julien yesterday in a computer
 reconfigured
 with sway (no GNOME), but still using GDM. Here's a screenshot of "top" with
 gdm's .gnome-shell-real using 2.5 GiB of RAM:
 https://multimedialib.files.wordpress.com/2020/03/gnome-shell-real-leak-sway-2020-03-22.png
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: zoho.com]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sirgazil[at]zoho.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [136.143.188.91 listed in list.dnswl.org]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I experience the same as Julien yesterday in a computer reconfigured with sway (no GNOME), but still using GDM. Here's a screenshot of "top" with gdm's .gnome-shell-real using 2.5 GiB of RAM:

https://multimedialib.files.wordpress.com/2020/03/gnome-shell-real-leak-sway-2020-03-22.png

I'm currently trying other other desktop environments in combination with slim login manager to work around the issue.




Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 22 Mar 2020 00:38:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 20:38:55 2020
Received: from localhost ([127.0.0.1]:48478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFodj-00029J-2C
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 20:38:55 -0400
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1jFodg-00029A-5l
 for 40116 <at> debbugs.gnu.org; Sat, 21 Mar 2020 20:38:52 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1584837529; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=WOlVtF0R9NOLWRxuRytJpSo/AbV53zWHVgtnH0w9AJB1w3UPJur4DuC2tPuA2z2BpSYbb7mTyrrvTTyPL09FGgxRX1CRzRlm05odOO8cZ1i9+cQmlnF26d4DtmQ+PpyCB5PqEAv9sTxAJ4ixTWarfrwBBuJJyn++G/zo80jywSo=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1584837529;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=8IiuTBgZJPtxFyHZqe7OKfyQ2Y11nSHog9IlVz3YSTA=; 
 b=RWNTkfF9P2TXLMxhipCfQE2hdgc3+NQ0zDWOPH/ou+v/KOYsYIKWgOREypn1OzNqxc+8c/bWn3Autc+rASTykwZz/jP5Of1uilzxveEfsdG8b31G9jBGK+0Jx4V42jwRKWf24IzBgWKTs2CbsmIr4Uggigrh16eHveTm/CvLi3g=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=date:from:to:message-id:in-reply-to:subject:mime-version:content-type:user-agent;
 b=RqMrdbS2hF8rwWsQeOv9MKcGW2TjO29ICyJzmIt8WjfCCBg/X/oC9OXNqIC9REZ75McF0FiqL/LL
 amG4dAwIHajMe1QUHGKfZFwSSJAswi/4LvXNd+9iwoxqPjy+bEVj  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1584837529; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=Date:From:To:Message-ID:In-Reply-To:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=8IiuTBgZJPtxFyHZqe7OKfyQ2Y11nSHog9IlVz3YSTA=;
 b=ZoUEdqRGYHFGi8Eewf+3kAwZp3UKGcDnFYlG45Vjjc/UXg2leeCWkTQL5+V+OmNS
 wp0G/+bJcUCVvJNUpZVt9T/pYr/9Rru8U9b3nLK2uIOOJnFTGtQa2nEti05lnYXkaR5
 fKZ15QtRetMchsyVpbQomS0vmkOhwF6hVtywZStc=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1584837522556110.82499731631594;
 Sat, 21 Mar 2020 17:38:42 -0700 (PDT)
Received: from  [179.15.13.185] by mail.zoho.com
 with HTTP;Sat, 21 Mar 2020 17:38:42 -0700 (PDT)
Date: Sat, 21 Mar 2020 19:38:42 -0500
From: sirgazil <sirgazil@HIDDEN>
To: "40116" <40116 <at> debbugs.gnu.org>
Message-ID: <170ffad747a.106091f62126832.5365987086606508641@HIDDEN>
In-Reply-To: 
Subject: GDM: Memory leak in .gnome-shell-real process
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
Importance: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I'm planning to create another virtual machine with "guix
 system vm-image" instead to install all the packages I have in my user profile
 and leave it running overnight to see if there is any differ [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sirgazil[at]zoho.com)
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: zoho.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [136.143.188.91 listed in list.dnswl.org]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

 > I'm planning to create another virtual machine with "guix system vm-image" instead to install all the packages I have in my user profile and leave it running overnight to see if there is any difference.

I wasn't able to create the VM image with this method. After an hour, the image was still building. I interrupted the process and gave up.







Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 19 Mar 2020 18:13:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 19 14:13:43 2020
Received: from localhost ([127.0.0.1]:43601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEzfr-0007p4-7g
	for submit <at> debbugs.gnu.org; Thu, 19 Mar 2020 14:13:43 -0400
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1jEzfo-0007oo-IS
 for 40116 <at> debbugs.gnu.org; Thu, 19 Mar 2020 14:13:42 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1584641618; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=dpyPPQH/l8gTs2sChgL2v5GGOi7OYdnGwdfYEl5teEEooxCh/Ppl3yOjtgPDKKApDyjGMQq9KB835KM/8pm3kuEVa/T3vgZcZj+sgMMKdL7MkYN5xewbNNqqyhmgSivSsRKxEZFRO7Bnpsvq1HfWLQ75VEyyvxBMbPXQlGkWR6Y=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1584641618;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=oNxG35XQdbWLl8OvbjN9Rr4CBbtDKH7CrnhG20WHido=; 
 b=fcB/U1j+ycdqXjG4qKDLEgDslb6G4l14e0m49Hc389vtDNLHIaTHbVLiWCk9QFb3eOhOTpzm5mYqbg7pEZjEa+Obz5eXs8LbR2nZoWfTh1Sst342DFd3CYJ8vSIE7bPExdb8ewdTLlKIXff3FcuvBhInyKM2gH992zsWytbMXhU=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=date:from:to:message-id:in-reply-to:subject:mime-version:content-type:user-agent;
 b=TFfpHs+LGDsR2DEKHi9XyH2xnyAyFy2sacKKklv/LWzMio6gTG7DFkhcYNoubhYAIp4YIa06QIN0
 I8mvIS4g/3TQthQ1BCXfEn6O/GY+JXcSBA9PqKJNgr6tgjhEnX+9  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1584641618; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=Date:From:To:Message-ID:In-Reply-To:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=oNxG35XQdbWLl8OvbjN9Rr4CBbtDKH7CrnhG20WHido=;
 b=PzJHSLP0DeNuNu8eOHHICYJlcx/zQE7Dq2r2Aj34p6bKBAylMPekY99iZ9b+I/jP
 XkEUQoeey9rcSzeFjtQ2goe7iwS6pGULrx66SGLBZV6uB7xy3n33gv3mjAjYSbNr5cI
 KhWAYevMS4Ln6i6u4zWDO1OLY4KvTEYyO/VkYmfg=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1584641612130945.890142455518;
 Thu, 19 Mar 2020 11:13:32 -0700 (PDT)
Received: from  [179.15.13.185] by mail.zoho.com
 with HTTP;Thu, 19 Mar 2020 11:13:32 -0700 (PDT)
Date: Thu, 19 Mar 2020 13:13:32 -0500
From: sirgazil <sirgazil@HIDDEN>
To: "40116" <40116 <at> debbugs.gnu.org>
Message-ID: <170f4001961.121b1861f95704.959508865105831753@HIDDEN>
In-Reply-To: 
Subject: GDM: Memory leak in .gnome-shell-real process
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
Importance: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I tried a virtual machine with my system configuration during
 4 hours and couldn't reproduce the leak (I used "guix system vm").
 ".gnome-shell-real"
 kept using about 260 MiB of RAM and it actually wen [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sirgazil[at]zoho.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: zoho.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [136.143.188.91 listed in list.dnswl.org]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I tried a virtual machine with my system configuration during 4 hours and couldn't reproduce the leak (I used "guix system vm"). ".gnome-shell-real" kept using about 260 MiB of RAM and it actually went down to 220 at some point.

In 4 hours, in my real system, the leak would have been visible.

I'm planning to create another virtual machine with "guix system vm-image" instead to install all the packages I have in my user profile and leave it running overnight to see if there is any difference.







Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 18 Mar 2020 16:11:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 12:11:05 2020
Received: from localhost ([127.0.0.1]:41083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEbHd-0005uX-J4
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 12:11:05 -0400
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1jEbHZ-0005u3-Di
 for 40116 <at> debbugs.gnu.org; Wed, 18 Mar 2020 12:11:04 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1584547858; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=HLcGOE2Z0uT7uJdJSMI1F0iDPGQv5KpvuaNITuJsnU2zCBj3tud3FzoIe2gI2aK50Mx6jqqzCcDRGHm16MsR/c9yzagWs1GT/QcpvpqN46gtEQWhlJEyF+xvKMvUb+rO6AtvQq+lxRUaYIu0nAy8+U6ZuNS5qtp2F8XHAQJ0XWc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1584547858;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=OIiJSUbiegYovqdU/KPiM2G+l6xxTAfgvxpLeoxrGCc=; 
 b=eZsaXaxIvxhlbz8QuIKAS1ZfPS4rkbBQ1jyzkXH7IThyRwemA8FhSpvOk5ynXzkKFJzFggzVTKEDuAcytbv8qzrtRHDlOPfq6vBEhpvB01ekmKL2VbTz18gUwO7MHtOxHy2j0sd54OVzKG6Ap1+yDdAsFbkp8CumOGMkOobTJuc=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=date:from:to:cc:message-id:in-reply-to:references:subject:mime-version:content-type:user-agent;
 b=mcblR6BxQJUKrtMKZLkzKepz5UeNbeaIj1bosySlJIkG6VbnCffoXg6j2xASXEKKmVIFsm8OjDTc
 2JmqThbDYIaEt9JBwafttIdTED7F4NvCx6ifSfvailRqo4JMM0K+  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1584547858; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=Date:From:To:Cc:Message-ID:In-Reply-To:References:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=OIiJSUbiegYovqdU/KPiM2G+l6xxTAfgvxpLeoxrGCc=;
 b=JC0kiqITx9vMV3fh8PcQO88CF0nBEOnU4bhvnnPPtYfQvx+2OtaHbk57ICQvap8Z
 rQt3UHrya8Kx3GARTM2oM11ZfJfppF//davNXFFcrcrvkwiXQ4o4tIOeCTl+ILBCN35
 WjUUWQ913W8gbAgLlKdl4cLpaB9UNUko7w22c7n0=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 1584547849445729.487010166179;
 Wed, 18 Mar 2020 09:10:49 -0700 (PDT)
Received: from  [179.15.13.185] by mail.zoho.com
 with HTTP;Wed, 18 Mar 2020 09:10:49 -0700 (PDT)
Date: Wed, 18 Mar 2020 11:10:49 -0500
From: sirgazil <sirgazil@HIDDEN>
To: =?UTF-8?Q?=22Ludovic_Court=C3=A8s=22?= <ludo@HIDDEN>
Message-ID: <170ee6964e3.ee395bf578532.436612750827795239@HIDDEN>
In-Reply-To: <87a74d8zsq.fsf@HIDDEN>
References: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
 <87a74d8zsq.fsf@HIDDEN>
Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Importance: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40116
Cc: 40116 <40116 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 ---- On Wed, 18 Mar 2020 10:09:57 -0500 Ludovic Court=C3=A8s <ludo@HIDDEN=
> wrote ----

[...]

 > > It seems that the bug is stronger in the GNOME desktop, but I've seen,=
 at least once, .gnome-shell-real using an abnormal amount of RAM while in =
sway (about 800 MiB).
 >=20
 > Could you check if it happens in a VM?  That is, you build your GNOME
 > config with =E2=80=98guix system vm=E2=80=99, try to do some activity in=
 the VM, and
 > check in top whether =E2=80=98gnome-shell=E2=80=99 is growing.

I can try, but last time I did something like that the VM with GNOME was to=
o slow to do anything (this computer only has 4 GiB of RAM).




Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 18 Mar 2020 16:09:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 12:09:51 2020
Received: from localhost ([127.0.0.1]:41077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEbGR-0005rX-7f
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 12:09:51 -0400
Received: from lepiller.eu ([89.234.186.109]:42204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1jEbGO-0005rN-KH
 for 40116 <at> debbugs.gnu.org; Wed, 18 Mar 2020 12:09:49 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 2cfb1c8c;
 Wed, 18 Mar 2020 16:09:45 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date
 :in-reply-to:references:mime-version:content-type
 :content-transfer-encoding:subject:to:from:message-id; s=dkim;
 bh=EuTyVx+nPHC9+/VP38aYqjvgIoXKX6VsbyEwZA8nBcE=; b=VYwMynI3etiC
 qCwirwHjFHNV/VhkCyLVhm7ZVuHPnxT2kKPavevaR3bkgbjfA09m+9infk1usEVr
 LtdaTARRzhK2MglfH3T13Lj/StuyXt5H76W1iwwfJMbzTMiiVlsyChK5fiGsnGQo
 0nhfYypPKwhVwHn8SvR3DrHLOxeEa5Bsvw4q8XmWNZx8wpeM2q5qZuxSovdQVhtd
 bnfFbG8/PjMxq9mVedHjRlWNMUvnsGLA2ZniBJWrIkosCKnw8c5qg+AwiQ83Z7eo
 w2tL/rlLwAF8q3FOXp6NvjP0CRB+HxN1QLnRqUiHrHq59zVwmxEUjVDmk/AKWBbB
 lE9ZHdfI0A==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 749154d7
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Wed, 18 Mar 2020 16:09:45 +0000 (UTC)
Date: Wed, 18 Mar 2020 12:09:36 -0400
User-Agent: K-9 Mail for Android
In-Reply-To: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
References: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process
To: sirgazil <sirgazil@HIDDEN>,40116 <at> debbugs.gnu.org
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <4F9A8305-EA95-44E5-825D-F0C9FB5B1705@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le 18 mars 2020 10:18:11 GMT-04:00, sirgazil via Bug reports for GNU Guix <=
bug-guix@gnu=2Eorg> a =C3=A9crit :
>I can't use GNOME anymore because of the problem I explained in the
>following thread:
>
>https://lists=2Egnu=2Eorg/archive/html/help-guix/2020-02/msg00206=2Ehtml
>
>On recent system upgrades, the problem got worse=2E Before, I could get
>to the end of the day despite the leak; but now it takes around 3 hours
>for the =2Egnome-shell-real process run by the gdm user to eat the
>remaining RAM=2E
>
>It seems that the bug is stronger in the GNOME desktop, but I've seen,
>at least once, =2Egnome-shell-real using an abnormal amount of RAM while
>in sway (about 800 MiB)=2E
>
>My current guix:
>
>$ guix describe
>Generation 61	Mar 15 2020 08:44:39	(current)
>  sirgazil-x 8274cd7
>    repository URL: https://gitlab=2Ecom/sirgazil/guix-channel-x=2Egit
>    branch: master
>    commit: 8274cd78f9f6d58e00e057a0eabe58e4e143cc4d
>  guix a431a63
>    repository URL: https://git=2Esavannah=2Egnu=2Eorg/git/guix=2Egit
>    branch: master
>    commit: a431a63537c8103b2a58c9a55d90184fb5c90361
>
>
>---
>https://sirgazil=2Ebitbucket=2Eio/

I'm also hit by that bug=2E I do not use gnome though, and the =2Egnome-se=
ssion-real process is owned by gdm=2E Ram usage is at around 200MB when sta=
rting and after a few days (putting the laptop to sleep during the night), =
it got to 2=2E4GB, even though I don't really need or use it beside logging=
 in=2E After another restart, it was at 600MB after a day=2E That memory us=
age is ridiculous :/




Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at 40116 <at> debbugs.gnu.org:


Received: (at 40116) by debbugs.gnu.org; 18 Mar 2020 15:10:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 11:10:07 2020
Received: from localhost ([127.0.0.1]:41042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEaKc-0004S7-V4
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 11:10:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jEaKb-0004Rb-Br
 for 40116 <at> debbugs.gnu.org; Wed, 18 Mar 2020 11:10:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55943)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jEaKW-0005D5-5D; Wed, 18 Mar 2020 11:10:00 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35532 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jEaKU-00047R-Sg; Wed, 18 Mar 2020 11:09:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 40116 <at> debbugs.gnu.org,  sirgazil <sirgazil@HIDDEN>
Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process
References: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 29 =?utf-8?Q?Vent=C3=B4se?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 18 Mar 2020 16:09:57 +0100
In-Reply-To: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
 (sirgazil via Bug reports for's message of "Wed, 18 Mar 2020 09:18:11
 -0500")
Message-ID: <87a74d8zsq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40116
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi sirgazil,

sirgazil via Bug reports for GNU Guix <bug-guix@HIDDEN> skribis:

> I can't use GNOME anymore because of the problem I explained in the follo=
wing thread:
>
> https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html
>
> On recent system upgrades, the problem got worse. Before, I could get to =
the end of the day despite the leak; but now it takes around 3 hours for th=
e .gnome-shell-real process run by the gdm user to eat the remaining RAM.

Ouch.

> It seems that the bug is stronger in the GNOME desktop, but I've seen, at=
 least once, .gnome-shell-real using an abnormal amount of RAM while in swa=
y (about 800 MiB).

Could you check if it happens in a VM?  That is, you build your GNOME
config with =E2=80=98guix system vm=E2=80=99, try to do some activity in th=
e VM, and
check in top whether =E2=80=98gnome-shell=E2=80=99 is growing.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Mar 2020 14:18:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 10:18:29 2020
Received: from localhost ([127.0.0.1]:40983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEZWb-0003CU-EU
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 10:18:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:55464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1jEZWZ-0003CM-Ks
 for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 10:18:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50373)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <sirgazil@HIDDEN>) id 1jEZWY-0006Gv-D5
 for bug-guix@HIDDEN; Wed, 18 Mar 2020 10:18:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sirgazil@HIDDEN>) id 1jEZWX-0005Fo-As
 for bug-guix@HIDDEN; Wed, 18 Mar 2020 10:18:22 -0400
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25131)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sirgazil@HIDDEN>) id 1jEZWX-0005FE-0m
 for bug-guix@HIDDEN; Wed, 18 Mar 2020 10:18:21 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1584541097; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=IPjEPy3cAP0QAhMAg/oiTZKjNQ7gqMdKZDtI0jsy7pwLwZCk/Tdt7sIwnDnJeQOsNrKwvLjNlr8F78fril/hkXFSRlKI8PEtE1W8aCc5zu3yqkcUPpp1zfZFdAA5VXhyn/pFRj4RcCRBw+F1lTe/jLj1rstj0SbDspqYUh45Dbg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1584541097;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=qkUj+ytUF6GRT+hAI1+y3sNFziaPz5wUtzDtbfD1HJk=; 
 b=YV5ROV7Igsb5RHiWgjtkM6yw4jnMCPETltLhPfHKe/EyKlPNxkSSWhhS+7ptDb/tT7qEDnMFJcJ1SkAQadvO1z2A2fw2vVNcdB6H+BZBQwFptManDvCacsU1t/v15l9pzl2j5dGhNEmhRI5ZAEMWZ4X8pzTceINMLzQvuFUW8WI=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=date:from:to:message-id:in-reply-to:subject:mime-version:content-type:user-agent;
 b=ooTTPOBR7XHXpY26FVQZMhv0IbeKbRbmxAKLwFAZi1KQ5lwLacXIzLM0yrX18bYFw37ywryo9Jv6
 J67v+UEghvh1rzXPZxAbHwileUj+l3aP41wq50HsDpXarUJHrAAZ  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1584541097; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=Date:From:To:Message-ID:In-Reply-To:Subject:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=qkUj+ytUF6GRT+hAI1+y3sNFziaPz5wUtzDtbfD1HJk=;
 b=OfQmewR+I1r1x1fLilvOJ1s13kGUTyYJCtjsq72movtY5cVA0k/wjcQ9rvL4Zuet
 lSZwKmqY3VzmIT2WD07I4VffdZoN50aYvjJhoC7vxDlmQ/f8WrcSK7BocHJmaEZDSmq
 ZXBhMGMSuEhADHUxDqKrYWP0+NUYd8nX5FJ8a2bc=
Received: from mail.zoho.com by mx.zohomail.com
 with SMTP id 158454109109277.99905397654993;
 Wed, 18 Mar 2020 07:18:11 -0700 (PDT)
Received: from  [179.15.13.185] by mail.zoho.com
 with HTTP;Wed, 18 Mar 2020 07:18:11 -0700 (PDT)
Date: Wed, 18 Mar 2020 09:18:11 -0500
From: sirgazil <sirgazil@HIDDEN>
To: "bug-guix" <bug-guix@HIDDEN>
Message-ID: <170ee024512.c9ac6ac476703.6325608537898017895@HIDDEN>
In-Reply-To: 
Subject: GDM: Memory leak in .gnome-shell-real process
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
Importance: Medium
User-Agent: Zoho Mail
X-Mailer: Zoho Mail
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 136.143.188.91
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

I can't use GNOME anymore because of the problem I explained in the following thread:

https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html

On recent system upgrades, the problem got worse. Before, I could get to the end of the day despite the leak; but now it takes around 3 hours for the .gnome-shell-real process run by the gdm user to eat the remaining RAM.

It seems that the bug is stronger in the GNOME desktop, but I've seen, at least once, .gnome-shell-real using an abnormal amount of RAM while in sway (about 800 MiB).

My current guix:

$ guix describe
Generation 61	Mar 15 2020 08:44:39	(current)
  sirgazil-x 8274cd7
    repository URL: https://gitlab.com/sirgazil/guix-channel-x.git
    branch: master
    commit: 8274cd78f9f6d58e00e057a0eabe58e4e143cc4d
  guix a431a63
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: a431a63537c8103b2a58c9a55d90184fb5c90361


---
https://sirgazil.bitbucket.io/







Acknowledgement sent to sirgazil <sirgazil@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#40116; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 15 May 2020 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.